jornal(1)

# NAME
*jornal* - dead simple command line diary

# SYNOPSIS
*jornal* _[STRING]_...

# DESCRIPTION
*jornal* is a diary with automatic timestamps.

# OPTIONS
_[STRING]_...
	Create a new entry with STRING(s) as the input.

	If empty, take standard input up to first newline.

# EXAMPLES
A basic entry:

	$ jornal I found this diary utility and it looks pretty cool!

Using standard input, which ends after the first newline:

	$ echo "I stubbed my toe :(" | jornal

Entries can be typed directly into standard input; useful for hiding entries from shell history:

	$ jornal

*jornal* can be scripted around. For example, typing multiple entries:

	$ while true; do jornal; done

# FILE FORMAT
```
~YYYY-MM-DD
HH:MM:SS Today's entry text 1.
HH:MM:SS Today's second entry
HH:MM:SS third entry today

~YYYY-MM-DD
HH:MM:SS And so on...
```

UTF-8 encoding is assumed.

Each entry is on its own line without any soft breaks; they have a zero-padded HH:MM:SS timestamp (e.g. 14:02:59). The entry is separated from the timestamp with a single space character.

New dates always start with a tilde (*~*). Days are separated by an empty line. 

*jornal* will maintain this format automatically, making new dates when needed.

# FILES
The _.jornal_ file is saved in the user's $HOME path (i.e. "$HOME/.jornal"). To change this, edit the "jornal_file_path_from_home" variable in the jornal.c source file and recompile.

# AUTHORS
*jornal* is written by Tim from _www.timtimestim.com_

# LICENSE
*jornal* is licensed under the public domain equivalent 0BSD license. See LICENSE file for more details.
